<form-template titleForm="Vehiculo" [form]="form" [busy]="service.busy" [edit]="service.editing"
  (changes)="onAction($event)" [(addOnlyOne)]="service.addOnlyOne">
  <ng-container content-type="codigo" *ngIf="service.editing">
    <small class="p-1"><strong class="font-xs text-muted">Codigo:&nbsp;</strong>{{service.model?.Id}}</small>
  </ng-container>
  <form #form="ngForm" autocomplete="off">
    <div class="row">
      <div class="col-md-5" [input-wrapper]="matricula" label="Matricula" >
        <input type="text" class="form-control" placeholder="Matricula del Auto" name="matricula"
          [(ngModel)]="service.model.Matricula" #matricula="ngModel" ngbAutofocus required>
      </div>
      <div class="col-md-5" input-wrapper label="Propietario">
        <app-vehiculo-residente></app-vehiculo-residente>
      </div>
    </div>
    <div class="row">
      <div class="col-md-5" [input-wrapper]="descripcion" label="Descripcion">
        <textarea rows="3" class="form-control" placeholder="Datos de vehiculo..." name="descripcion"
          [(ngModel)]="service.model.Descripcion" #descripcion="ngModel"></textarea>
      </div>
    </div>
  </form>
</form-template>
